<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FlightAvail StructType
 * @subpackage Structs
 */
class FlightAvail extends AbstractStructBase
{
    /**
     * The FlightAvailRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FlightAvail
     */
    public $FlightAvailRQ;
    /**
     * Constructor method for FlightAvail
     * @uses FlightAvail::setFlightAvailRQ()
     * @param \StructType\JP_FlightAvail $flightAvailRQ
     */
    public function __construct(\StructType\JP_FlightAvail $flightAvailRQ = null)
    {
        $this
            ->setFlightAvailRQ($flightAvailRQ);
    }
    /**
     * Get FlightAvailRQ value
     * @return \StructType\JP_FlightAvail|null
     */
    public function getFlightAvailRQ()
    {
        return $this->FlightAvailRQ;
    }
    /**
     * Set FlightAvailRQ value
     * @param \StructType\JP_FlightAvail $flightAvailRQ
     * @return \StructType\FlightAvail
     */
    public function setFlightAvailRQ(\StructType\JP_FlightAvail $flightAvailRQ = null)
    {
        $this->FlightAvailRQ = $flightAvailRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\FlightAvail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
